## logcheck 1.2.46

=== debian/changelog ===
logcheck (1.2.46) unstable; urgency=low

  * ignore.d.server/ssh: fixed regression related to "Did not receive
    identification string" warning. Sorry about that (closes: #377276).
  * ignore.d.server/ssh, violations.ignore.d/logcheck-ssh: extended the regexp
    matching usernames to anything non-whitespace in filters about nonexistent
    users -- today someone tried to log in as '!@#$%^&*()_+' here!
  * ignore.d.server/pdns: ignoring warnings about overly large packets, or
    packates otherwise of the wrong size.
  * ignore.d.server/cron-apt: fixing rules wrt sarge and cleaning up.
  * ignore.d.server/dovecot: fixing filter for dovecot 1.0 logins by removing
    the space at the end of the line. Gargh!
  * We're now maintaining logcheck in SVN. See README.Debian file (which also
    received other minor updates).

 -- martin f. krafft <madduck@debian.org>  Sun,  9 Jul 2006 15:04:49 +0200

logcheck (1.2.45) unstable; urgency=low

  [ Todd Troxell ]
  * Increment version

  [ Jamie Penman-Smithson ]
  * ignore.d.server/smartd: Add rule to match normal temperature changes.
  * violations.ignore.d/logcheck-sudo: Ignore invocation of sudoedit too.
    Thanks to Jan Braun <janbraun@gmx.net>. (Closes: #360120)
  * ignore.d.server/dhcp: Match new DHCP log format with IPv6 addresses.
    (Closes: #369603)
  * violations.ignore.d/logcheck-ssh: Match new log format in openssh
    4.3. (Closes: #369497)
  * ignore.d.server/oidentd: Match IPv6 addresses too. Thanks to
    Elmar Hoffmann <elho@elho.net> for the patch. (Closes: #369294)
  * ignore.d.server/oidentd: Remove superfluous rule for connections from
    localhost.
  * ignore.d.server/pdns: Ignore 'Refreshed n records' messages.
    (Closes: #369263)
  * ignore.d.server/smartd: Minor change to rule for "Temperature changed"
    messages.
  * ignore.d.server/xinetd: Add the first rules for xinetd.
  * ignore.d.server/smartd: Merge two rules for self-test messages into one.
    (Closes: #368878)
  * ignore.d.server/saslauthd: Add rule to suppress 'client step' messages.
    (Closes: #368652)
  * violations.ignore.d/logcheck-postfix: Update rules for postgrey.
    (Closes: #368318)
  * violations.ignore.d/logcheck-postfix: Add rule to suppress smtpd '554
    Access denied' messages. (Closes: #368313)
  * ignore.d.server/postfix: Fix rule to really match 'read timeout' messages.
    (Closes: #367781)
  * ignore.d.server/spamd: Merge in rules from the spamassassin package.
    (Closes: #366364)
  * Minor changes to usage summary and explanation of FQDN option.
    (Closes: #365565)
  * ignore.d.server/dkfilter: Minor fix to rules for dkfilter.out.
    Match 'wrong sender domain' messages from dkfilter.out.
  * ignore.d.workstation/anacron: Move to ignore.d.server. (Closes: #368900)

  [ maximilian attems ]
  * ignore.d.server/dovecot: Add rule for aborted logins.
  * ignore.d.workstation/kdm: Ignore kdm-greeter logline.
  * ignore.d.server/nagios: Improve existing rules, add newer for service
    flapping and ping logging.
  * ignore.d.server/sympa: Add impressive ruleset on common ml operations.
  * ignore.d.server/stunnel: New rules.
  * ignore.d.server/squid: Add 2 rules for cachemgr.
  * ignore.d.server/rsync: Add 2 rules for common rsyncd failures.
  * ignore.d.server/rsnapshot: Add 2 rules for casual rsnapshort warnings.
  * ignore.d.server/proftpd: Add 3 rules about usual ftpd operations.
  * ignore.d.server/ntp: Ignore to many recvbufs.
    Thanks to all the above rules to Peter Palfrader <weasel@debian.org>.
  * ignore.d.workstation/kernel: Add rules to reduce noise on swsusp.
  * debian/logcheck.postinst: Remove old check against woody version
    removing /var/cache/logcheck.
  * debian/logcheck-database.preinst, debian/logcheck-database.postinst:
    Remove checks against old woody symlinkfarm.
  * debian/logtail.preinst: Remove old dpkg-divert handling.
  * debian/control: Remove useless versioned depends on debianutils and
    po-debconf. Versions are satisfied on Sarge.
  * debian/control: Conform to policy 3.7.2 without changes.
  * ignore.d.server/dhcp: Properly escape dots.

  [ Gerfried Fuchs ]
  * debian/control: move debhelper dependency to Build-Depends due to policy
    requirements.

  [ martin f. krafft ]
  * ignore.d.server/cron: added rules to ignore begin/end of crontab
    edits (closes: #356681).
  * ignore.d.server/cron: added crontab-specific lines from
    ignore.d.workstation/cron (and removed them there).
  * ignore.d.*/cron-apt: moved cron-apt rules from workstation to server.
  * ignore.d.server/dhclient: even 3.0 sleeps when no lease in persistent
    database.
  * ignore.d.workstation/dovecot: Added/updated dovecot 1.0 rules.
  * ignore.d.server/kernel: added rules to ignore martian, ll header, and
    icmpv6_send warnings.
  * ignore.d.server/pdns: added many rules for standard pdns operational
    messages.
  * violations.ignore.d/logcheck-pdns: ignore denied AXFR requests.
  * ignore.d.server/postfix: ignoring cleanup header_checks REPLACE messages
    (closes: #376489).
  * ignore.d.server/postfix: extending rule for "too many errors" to cover all
    SMTP commands (closes: #376472).
  * ignore.d.server/postfix: ignoring dNSNames complaints (closes: #376469,
    and parts of 369487).
  * ignore.d.server/postfix: ignoring bounce message about sender non-delivery
    notification.
  * violations.ignore.d/logcheck-postfix: ignore invalid SASL logins, PAM
    will complain with more details (closes: #369487).
  * violations.ignore.d/logcheck-postfix: ignore HELO access check rejections
    (closes: #376968).
  * ignore.d.[ws]*/ppp: adding/updating rules to ignore informational
    messages.
  * ignore.d.server/proftpd: adding ANON command to successful login rule and
    noticing that the other rule of the bug has already been fixed
    (closes: #372541).
  * ignore.d.server/proftpd: ignoring logins with unknown users.
  * ignore.d.workstation/proftpd: ignore reaching maximum number of login


=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1.13)
Build-Depends-Indep: docbook-to-man, po-debconf

Package: logcheck
Architecture: all
Depends: adduser, debconf, grep (>= 2.5.1-1), exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), lockfile-progs, ${misc:Depends}
Recommends: logcheck-database (= ${Source-Version})
Suggests: syslog-summary
Description: mails anomalies in the system logfiles to the administrator
 Logcheck was part of the Abacus Project of security tools, but this
 version has been rewritten. 
 .
 Logcheck helps spot problems and security violations in your logfiles
 automatically and will send the results to you in e-mail.

Package: logcheck-database
Architecture: all
Depends: ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Description: database of system log rules for the use of log checkers
 This database is part of the Logcheck package, but might be used by others.
 It brings a database of regular expressions for matching system log entries
 after various criteria.

Package: logtail
Architecture: all
Depends: perl (>= 5.8.0)
Replaces: logcheck (<= 1.1.1-9)
Description: Print log file lines that have not been read
 This program will read in a standard text file and create an
 offset marker when it reads the end. The offset marker is read
 the next time logtail is run and the text file pointer is moved
 to the offset location. This allows logtail to read in the next
 lines of data following the marker. This is good for marking log
 files for automatic log file checkers to monitor system events.
 .
 This program is mainly used by logcheck, because it returns only
 parts of the system logfiles that have not already been checked.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean binary-indep binary-arch binary cvs-build checkpo help

build: build-stamp
build-stamp:
	dh_testdir

	/usr/bin/docbook-to-man docs/logcheck.sgml > \
		docs/logcheck.8

	make check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	rm -f docs/logcheck.8
	-$(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp



	dh_clean

install: install-stamp
install-stamp: DESTDIR=$(CURDIR)/debian/tmp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR)

	mkdir -p $(DESTDIR)/usr/share/lintian/overrides
	install -m644 debian/logcheck.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck
	install -m644 debian/logcheck-database.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck-database

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_install debian/header.txt usr/share/logcheck
	dh_installcron
	dh_installman -p logtail docs/logtail.8
	dh_installman -p logcheck docs/logcheck.8
	dh_installchangelogs
	dh_installdebconf
#	dh_strip
	dh_compress
	dh_fixperms --exclude etc/logcheck
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

help:
	@echo
	@echo 'Cleaning targets:'
	@echo '  clean         -   remove generated files'
	@echo '  cvs-clean     -   remove cvs checkout'
	@echo
	@echo 'Logcheck packaging:'
	@echo '  cvs-build     -   checkout current logcheck cvs'
	@echo '  binary        -   build debian package'
	@echo
	@echo 'Analysing:'
	@echo '  checkpo       -   prints translation status'
	@echo
	@echo 'Execute debian/rules file'

# check the debconf translations
checkpo:
	for i in debian/po/*.po; do \
		echo \"Checking: $$i\"; \
		msgmerge -U $$i debian/po/templates.pot; \
		msgfmt -o /dev/null -c --statistics $$i; \
	done

# Done by the uploader:
# cvs update..
# edit debian/changelog
# debian/rules cvs-build
#
#LOGCHECK_DEBVER=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
#LOGCHECK_CVSTAG=$(shell echo "$(LOGCHECK_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')
LOGCHECK_DEBVER=$(shell head -n 1 debian/changelog | perl -lne 'print  m,\(([\w.]+)\),')
LOGCHECK_CVSTAG=HEAD
CVS_BUILDDIR=logcheck-$(LOGCHECK_DEBVER)
CVS_ROOT=$(shell cat CVS/Root)
CVS_MODULE=$(shell cat CVS/Repository)
cvs-build: 
	rm -rf debian/cvs-build
	mkdir -p debian/cvs-build
	(cd debian/cvs-build;cvs -d $(CVS_ROOT) export -r $(LOGCHECK_CVSTAG) -d $(CVS_BUILDDIR) $(CVS_MODULE))
cvs-clean: 
	-rm -rf debian/cvs-build

## logcheck 1.2.51

=== debian/changelog ===
logcheck (1.2.51) unstable; urgency=medium

  * medium urgency to increase the chance of making etch as per agreement with
    Steve Langasek, release manager. Rationale: arch-indep and only new
    regexps in this version.

  * violations.d/kernel: added to elevate messages about media errors.
  * violations.ignore.d/kernel: ignore some non-critical messages by device
    drivers, such as USB stuff.
  * violations.ignore.d/kernel: ignore if AGP fails to initialise on Matrox
    cards.
  * ignore.d.server/kernel: ignore message about device-mapper loading.
  * ignore.d.server/kernel: ignore startup banners by tun/tap driver.
  * ignore.d.server/kernel: ignore startup configuration printout by sk98lin.
  * ignore.d.server/kernel: ignore startup banner by skge driver.
  * ignore.d.server/kernel: ignore startup messages by ipmi driver.
  * ignore.d.server/kernel: ignore iptables bandwidth messages generated by
    webmin bandwidth module/shorewall (closes: #397580).
  * ignore.d.server/kernel: remove filter for iptables log messages for UDP
    packets, which aren't generated by default.
  * ignore.d.server/kernel: ignore message about missing disc in drive.
  * ignore.d.workstation/kernel: ignore messages related to pmount and USB
    hotplugged storage devices.
  * ignore.d.workstation/kernel: ignore intel8x0 (soundcard) initialisation
    messages.
  * ignore.d.workstation/kernel: ignore more messages related to USB hotplug.
  * ignore.d.workstation/kernel: ignore message about DRM loading and
    initializing.
  * ignore.d.{workstation,server}/kernel: moved several messages to server
    class as they also apply to servers.

  * violations.ignore.d/logcheck-su: ignore redundant message about
    authentication failure, which provides no additional information.

  * violations.ignore.d/logcheck-cron-apt: ignore redundant summary error
    message about index files that failed to download.

  * ignore.d.server/logcheck: ignore pam_unix opened and closed sessions with
    empty progname (gconf mainly).

  * ignore.d.server/pdns: added more filters to silence recent versions of
    pdns (except for startup/shutdown).
  * ignore.d.server/pdns: also hide IPv6-related messages and messages related
    to syncing of new slave zones.

  * ignore.d.server/anacron: also ignore messages with exit status.

  * violations.ignore.d/logcheck-ssh: ignore authentication error messages by
    pam_unix: if there's no user name, the attempt is pathetically harmless
    anyway; if there's a username, sshd logs another message with more
    information.
  * ignore.d.server/ssh: ignore listening notices for all ports, not just 22.

  * ignore.d.server/ppp: filtering messages about connections to pppd.

  * violations.ignore.d/logcheck-bluez-utils: ignore non-critical failure
    messages about connections that failed.
  * ignore.d.server/bluez-utils: added to filter dund connection messages.
  * ignore.d.workstation/bluez-utils: add filters to ignore device connection
    and disconnection, as well as startup/shutdown.

  * violations.ignore.d/postfix: ignore unsupported SSL cert purpose.
  * violations.ignore.d/postfix: ignore messages related to amavisd-new
    banning attachments.
  * ignore.d.server/postfix: filtering message when smtp client is greylisted.
  * ignore.d.server/postfix: ignore redundant message about reload by
    postfix-script as master also logs.
  * ignore.d.server/postfix: ignore errors about virtual users not found.
  * ignore.d.server/postfix, violations.ignore.d: ignoring more messages about
    rejects the admin does not care about;
    thanks to Russ Allbery (closes: #397097).
  * */*postfix: also ignore [-_$] in local part of message-id; thanks to
    Alexander Gerasiov (closes: #398163).
  * ignore.d.server/postfix: ignore messages about changed hash tables.
  * ignore.d.server/postfix: ignore summary messages when postsuper deleted
    queue entries.

  * ignore.d.{workstation,server}/mldonkey: moved to server category and added
    some additional rules for informational status messages.

  * ignore.d.server/dhclient: filtering send_packet messages which are purely
    informational or redundant without any extra info.
  * ignore.d.server/dhcp: updated for latest BOOTP messages.
  * ignore.d.server/dhcp: fixed to filter requests for unknown leases.

  * ignore.d.server/hplip: added to filter information messages from
    hpiod/hpijs/hpssd.

  * ignore.d.server/xinetd: ignore messages about conf files read and services
    removed, as well as startup banner.

  * ignore.d.server/saned: ignore most messages.

  * ignore.d.server/squid: ignore messages resulting from clients firing
    unsupported request methods at the server, which may happen in situations
    where transparent proxying is in use. GNUTELLA is one offendant.
  * ignore.d.server/squid: ignore some messages generated by squid 2.6 in
    transparent mode.
  * ignore.d.server/squid: ignore messages about closed client connections due
    to lifetime timeout.

  * ignore.d.server/proftpd: support IPv6 addresses with UseReverseDNS off;
    thanks to Gregor Hermens (closes: 397466).
  * ignore.d.server/proftpd: ignore messages by new version of proftpd about
    aborted transfers and chrooting to the root directory.
  * ignore.d.server/proftpd: ignore message about failure to bind to IPv6
    sockets if protocol is not available, as IPv6 cannot be turned off it
    seems (see http://bugs.proftpd.org/show_bug.cgi?id=2817).

  * ignore.d.server/amandad: ignore messages with resolved hostnames instead
    of IPs; thanks to Jan Evert van Grootheest (closes: #396407).

  * ignore.d.server/courier: cleanup to match some more messages reported by
    Enrique Garcia (closes: #395265).

  * [TODO] ignore.d.server/dovecot: cleanup of dovecot filters to match some
    more operational messages reported by Stefan Schlesinger (closesNOTYET:
    #396760).

  * ignore.d.server/smartd, violations.d/smartd: ignore messages about


## logcheck 1.2.54

=== debian/changelog ===
logcheck (1.2.54) unstable; urgency=low

  * ignore.d.server/dovecot: also ignore local logins, which are "secured",
    not "TLS". Thanks to Marco Nenciarini for the patch (closes: #407642).

  * ignore.d.workstation/kernel: ignore all kinds of input devices, not just
    Logitech mice; thanks to Dave Vehrs for the patch (closes: #407087).
  * ignore.d.server/kernel: patch by Elmar Hoffmann to filter messages by
    3ware driver (closes: #408764).

  * ignore.d.server/postfix: make anvil filter rules ipv6 compliant.
  * violations.ignore.d/logcheck-postfix: ignore deferred messages after
    rewriting the address (orig_to in use).
  * violations.ignore.d/logcheck-postfix: ignore plain informational messages
    even if they contain some of the violations.d/logcheck words.
  * ignore.d.server/postfix: ignore messages about successful deliveries to
    IMail servers (and possibly others; closes: #407777).
  * ignore.d.server/postfix: patch by Armin Berres to filter information
    messages from postfix+mysql (closes: #408444).
  * ignore.d.server/postfix: patch by Armin Berres to filter policyd-weight
    messages (closes: #408700).
  * ignore.d.server/postfix: ignore messages about numeric MX results by smtpd
    as well.
  * violations.ignore.d/logcheck-postfix: ignore lmtp message when content
    filter muted DSN.
  * ignore.d.server/postfix: ignore message due to timeout receiving the
    initial server greeting.

  * ignore.d.server/openvpn: ignore messages related to client-side routes and
    client-config-dir.
  * ignore.d.server/openvpn, violations.ignore.d/logcheck-openvpn: fix up
    a bunch of the rules for various stages of the connections.

  * ignore.d.server/ssh: ignore messages about invalid users even with <!>'"
    characters in the usernames.
  * ignore.d.server/ssh: ignore messages related to Allow/DenyUsers
    (closes: #407009).
  * violations.ignore.d/logcheck-ssh: ignore more PAM authentication failure
    messages.

  * ignore.d.server/courier, violations.ignore.d/loghceck-courier: ignore
    SSL/TLS connection errors for all components.

  * ignore.d.workstation/logcheck, ignore.d.server/cracklib: moved cracklib
    rules to server level (closes: #408557).

  * ignore.d.server/epmd: ignore information output from erlang-base daemon
    epmd; thanks Armin Berres for the patch (closes: #408559).

  * ignore.d.server/spamd: improve rules for corner cases, thanks to Armin
    Berres for his help.

  * violations.d/smartd: no longer elevate temperature messages as smartd does
    that already (closes: #407734).
  * ignore.d.server/smartd: ignore raw values in attribute change messages;
    thanks to Elmar Hoffmann (closes: #408890).
  * ignore.d.server/smartd: honour exclamation mark for max value in attribute
    change value; thanks to Elmar Hoffmann (closes: #408901).

  * ignore.d.server/squid: ignore vary store marker object mismatches.

  * Added Galician debconf translation by Jacobo Tarrio (closes: #408123).

  * Updated Czech debconf translation; thanks Miroslav Kure (closes: #407830).

 -- martin f. krafft <madduck@debian.org>  Tue, 30 Jan 2007 15:26:22 +0000

logcheck (1.2.53) unstable; urgency=low

  * violations.ignore.d/logcheck-postfix: ignore entries for messages
    bounced/deferred by the LDA.
  * ignore.d.server/postfix: ignore network_biopair_interop messages about
    read errors.
  * ignore.d.server/postfix: ignore bounce messages on bad address syntax.
  * ignore.d.server/postfix: ignore lost connection warnings during HELO
    handshake.
  * ignore.d.server/postfix: more tolerance on message-ids.
  * violations.ignore.d/logcheck-postfix, ignore.d.server/postfix: ignore
    messages related to checks done by the cleanup daemon.
  * violations.ignore.d/logcheck-postfix: more extended DSN matches
    contributed by Jefferson Cowart; thanks (closes: #405786)!
  * violations.ignore.d/logcheck-postfix: fix greylisting defer message for
    zero-sized senders (<>).
  * violations.ignore.d/logcheck-postfix: fix greylisting defer filter for
    new-style messages.
  * violations.ignore.d/logcheck-postfix: ignore messages about deliverable
    messages (sender address verification).
  * violations.ignore.d/logcheck-postfix: ignore cleanup status messages which
    have been elevated to violations due to matches between domain names and
    violation filters (e.g. vrfy.org).

  * violations.ignore.d/logcheck-ssh: ignore ssh_msg_recv messages which are
    escalated to violations.

  * ignore.d.server/dcc: ignore message about sleep after failure.

  * ignore.d.server/kernel: ignore libata load message.
  * ignore.d.server/kernel: ignore several meesages related to hard disks.
  * ignore.d.{server,workstation}/kernel: ignore more messages related to
    removable disks and their filesystems.
  * ignore.d.server/kernel: ignore messages from bridge subsystem.

  * ignore.d.server/pdns: ignore message about . zone refreshes.

  * ignore.d.server/spamd: ignore logger and server pid info messages.

  * ignore.d.server/dovecot: ignore disconnection messages after login too.

  * violation.ignore.d/ssh: ignore messages about illegal users with IPs
    reverse resolved too.

  * ignore.d.server/squid: handle messages about unsupported messages with
    any type (related to mldonkey) in a hackish way, due to locale mismatches
    (see #350206).

  * violations.ignore.d/logcheck-sudo: properly ignore invocations of
    sudoedit.

  * ignore.d.server/openvpn, violations.ignore.d/logcheck-openvpn: also honour
    "openvpn" as process name, which seems to be used by clients; thanks to
    Vincent Danjean for being persistent (closes: #406179).
  * ignore.d.server/openvpn: ignore messages with IP address of peers of newly
    established connections.

  * ignore.d.server/dhclient: updated to new style for informational messages.

  * ignore.d.server/saned: also ignore access granted messages for other
    usernames.



## logcheck 1.2.55~bpo.1

=== debian/changelog ===
logcheck (1.2.55~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- martin f. krafft <madduck@debian.org>  Wed, 28 Feb 2007 12:23:58 +0100

logcheck (1.2.55) unstable; urgency=low

  * Actually install README.backports.gz to /usr/share/doc/logcheck
    (closes: #411021).

  * Make sure the logcheck group actually exists. Thanks, Jordi.

  * violations.ignore.d/logcheck-passwd:
    - ignore PAM warnings on authentication failures.

  * violations.ignore.d/logcheck-saslauthd:\
    - ignore PAM warnings on authentication failures.

  * ignore.d.server/saned:
    - ignore some more error messages.

  * ignore.d.server/hplip:
    - ignore some more error messages.

  * violations.d/logcheck:
    - elevate messages matching /violations/i.

  * violations.ignore.d/logcheck-proftpd:
    - ignore warning about attempted root logins.

  * ignore.d.server/ssh:
    - ignore @ in names of nonexistent accounts.

  * ignore.d.server/kernel:
    - ignore more initialisation messages from SCSI subsystem.

  * ignore.d.workstation/kernel:
    - ignore keyboard connection messages.

  * violations.ignore.d/logcheck-postfix:
    - ignore sender verification rejects after MAIL (in case they are not
      delayed).
    - ignore RBL rejects after successful reverse DNS resolution.
    - allow extra information after message-id.
    - ignore certificate verification failures due to invalid CA certs.
    - ignore reject due to sender address verification against virtual table.

  * ignore.d.server/postfix:
    - more policyd-weight rules by Armin Berres (closes: #410416).
    - ignore messages related to RBL DNS lookup errors.
    - ignore messages on successful delivery to Sendmail.
    - improve filters for messages relating to deferred mail.

  * ignore.d.server/spamd:
    - ignore init messages with scores in SQL (closes: #411111).

  * ignore.d.server/mldonkey-server:
    - ignore BER decode errors.

  * ignore.d.server/dovecot:
    - ignore disconnection due to IDLE.
    - ignore connection message to db by auth-worker; thanks to Guillaume
      Rischard.

  * ignore.d.server/fetchmail, violations.ignore.d/logcheck-fetchmail:
    - ignore cert verification errors and name mismatches (closes: #412798).

  * ignore.d.server/gnu-imap4d:
    - first set of rules to ignore basic messages.

  * debconf translation updates:
    - Portuguese by Pedro Ribeiro (closes: #410734).

 -- martin f. krafft <madduck@debian.org>  Wed, 28 Feb 2007 12:20:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4.1.13)
-Build-Depends-Indep: docbook-to-man, po-debconf
+Build-Depends: debhelper (>= 4.1.13), po-debconf
+Build-Depends-Indep: docbook-to-man
+XS-Vcs-Svn: svn://svn.debian.org/svn/logcheck/logcheck/trunk
 
 Package: logcheck
 Architecture: all
 Depends: adduser, debconf, grep (>= 2.5.1-1), exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), lockfile-progs, ${misc:Depends}
-Recommends: logcheck-database (= ${Source-Version})
+Recommends: logcheck-database (>= ${Source-Version})
 Suggests: syslog-summary
 Description: mails anomalies in the system logfiles to the administrator
  Logcheck was part of the Abacus Project of security tools, but this

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	rm -f docs/logcheck.8
 	-$(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp
 
-
+	debconf-updatepo
 
 	dh_clean
 
@@ -45,6 +45,9 @@
 		$(DESTDIR)/usr/share/lintian/overrides/logcheck
 	install -m644 debian/logcheck-database.lintian-overrides \
 		$(DESTDIR)/usr/share/lintian/overrides/logcheck-database
+	mkdir -p $(DESTDIR)/usr/share/linda/overrides
+	install -m644 debian/logcheck-database.linda-overrides \
+		$(DESTDIR)/usr/share/linda/overrides/logcheck-database
 
 	touch install-stamp

## logcheck 1.2.61

=== debian/changelog ===
logcheck (1.2.61) unstable; urgency=low

  * Provide $TMP and allow the administrator to specify an alternate location
    to store temporary files; thanks to Micah Anderson for the patch
    (closes: #412201).

  * ignore.d.server/logcheck:
    - Apply filter rules for new PAM log format; thanks to Aaron M. Ucko
      (closes: #440123).

  * ignore.d.server/rsync:
    - Ignore runtime rsyncd messages; patch by Justin Pryzby (closes: #440181)

  * violations.ignore.d/logcheck-postfix:
    - ignore temporary DNS lookup failures when checking for sender MX.
    - also ignore defer notices smtp gets after the DATA command.
    - ignore some rejections when $smtpd_delay_reject=no is set; thanks to
      Justin Pryzby (closes: #425642, #426736).

  * ignore.d.server/postfix:
    - ignore TLS library receiving SSLv3 alert 10, since it's just a broken
      client connecting.
    - ignore when libc6 warns about in-addr.arpa request being answered with
      a CNAME, which is not correct, but people do it and it works regardless.
    - ignore when smtpd tells us its discarding EHLO keywords
      ($smtpd_discard_ehlo_keyword*).
    - ignore SASL authentication failures due to empty passwords.
    - ignore AV system overload warnings by milter-reject.

  * ignore.d.server/spamd, violations.ignore.d/logcheck-spamd:
    - ignore spamcop failure and success messages.
    - do not ignore child state K, which indicates kill and might be
      a problem; thanks Frans Pop (closes: #436439).
    - update check result rule in violations.ignore.d.

  * ignore.d.server/pdns:
    - ignore messages about invalid packet sizes received from other machines.
    - ignore launch message after TCP nameserver was cycled.

  * ignore.d.server/hylafax:
    - ignore MODEM messages by FaxQueuer; thanks Remi Letot (closes: #425035).

  * ignore.d.server/bind
    - ignore view queries; thanks Justin Pryzby (closes: #428629).

 -- martin f. krafft <madduck@debian.org>  Tue, 04 Sep 2007 19:38:31 +0200

logcheck (1.2.60) unstable; urgency=low

  [ maximilian attems ]
  * logcheck-database.config, logcheck-database.postinst,
    logcheck-database.preinst, logcheck.postinst, logcheck-database.templates:
    Kill code for upgrades from version earlier then Sarge, no debconf.
    Thus remove ancient po files.
  * debian/control: No debconf no debconf-updatepo need anymore.
  * debian/control: Drop versioned dep of presarge grep.

  [ martin f. krafft ]
  * Thanks to Frédéric Brière for his bug reports and patches.

  * violations.ignore.d/logcheck-postfix:
    - ignore milter-reject virus rejection notices.
    - ignore temporary milter failures (due to clamav-milter socket timeouts).
    - fix authentication failure messages related to SASL (closes: #437886).
    - ignore ETRN rejection warnings (closes: #437882).
    - ignore SOFTBOUNCE defers.

  * ignore.d.server/postfix:
    - ignore warnings about not being able to resolve (sender) MX hosts.
    - ignore timeouts on clamav-milter socket.
    - ignore warnings about MX hosts without valid A/address records
      (closes: #437896).
    - ignore lost connection message in stage with two words (e.g. MAIL FROM).
    - ignore timeout messages after all kinds of SMTP commands, incl. UNKNOWN.
    - ignore pickup messages.
    - do not require unknown_*_domain filters to include "valid_hostname"
      (closes: #437752).
    - ignore recipient verification check success messages.
    - ignore timeouts also after END-OF-MESSAGE.
    - ignore timeouts while sending XFORWARD name/address.
    - ignore peer cert verification warnings when OU is missing.
    - ignore timeout during EHLO handshake.

  * ignore.d.server/spamd:
    - ignore more runtime, informational messages.
    - handle trailing space (closes: #429886).
    - ignore successful pyzor report notifications.
    - ignore failures to report to SpamCop.
    - ignore reporting failures when there are no reporters.

  * violations.ignore.d/logcheck-spamd:
    - ignore informational messages about razor agent
      initialisation/registration

  * ignore.d.server/dovecot:
    - ignore disconnected messages without a username.
    - ignore disconnected messages during IMAP commands, other than IDLE.
    - ignore deliver messages with crm114 sfid attached.

  * ignore.d.server/amavisd-new:
    - ignore message ids with sfid trailer (crm114 adds this).
    - also ignore passing of BAD-HEADER diagnosed messages.
    - fix hit scoring regexp (closes: #435438).

  * ignore.d.server/squid:
    - ignore DNS failure messages.

  * ignore.d.server/pdns:
    - ignore warning about zero-sized packet from remote.

  * ignore.d.server/bind, violations.ignore.d/logcheck-bind:
    - also ignore unresolved RCODE 15 in warning messages (closes: #437891).

  * violations.ignore.d/logcheck-bind:
    - ignore allow-query-related rejections (closes: #437756).

  * violations.ignore.d/logcheck-proftpd:
    - deal with IPv6 addresses (closes: #437753).

  * ignore.d.server/puppetd:
    - add filter for informational puppetd rules by Sebastian Himberger;
      thanks! (closes: #437478).

  * ignore.d.server/cron-apt:
    - ignore messages from autoclean (closes: #437748).

  * ignore.d.server/stunnel:
    - make stunnel pid optional (closes: #428429).

 -- martin f. krafft <madduck@debian.org>  Thu, 23 Aug 2007 12:21:31 +0200

logcheck (1.2.59) UNRELEASED; urgency=low

  [ Marc Haber ]
  * add logtail2 (closes: #435443):
    * now handles log rotation internally (with a plugin scheme).
    * can deal with rotated logfiles (closes: #336265).
    * supports logrotate's dateext rotation.
    * the previous logtail is deprecated and may be removed in the future.
  * Add myself to uploaders. Thanks for allowing me to join.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 07 Aug 2007 14:39:49 +0200

logcheck (1.2.58) unstable; urgency=low

  * ignore.d.server/procmail: ignore write errors from procmail.



=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1.13)
Build-Depends-Indep: docbook-to-man
XS-Vcs-Git: git://git.debian.org/git/logcheck/logcheck.git
XS-Vcs-Browser: http://git.debian.org/?p=logcheck/logcheck.git

Package: logcheck
Architecture: all
Depends: adduser, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail, lockfile-progs, ${misc:Depends}
Recommends: logcheck-database (>= ${source:Version})
Suggests: syslog-summary
Description: mails anomalies in the system logfiles to the administrator
 Logcheck was part of the Abacus Project of security tools, but this
 version has been rewritten. 
 .
 Logcheck helps spot problems and security violations in your logfiles
 automatically and will send the results to you in e-mail.

Package: logcheck-database
Architecture: all
Depends: ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Description: database of system log rules for the use of log checkers
 This database is part of the Logcheck package, but might be used by others.
 It brings a database of regular expressions for matching system log entries
 after various criteria.

Package: logtail
Architecture: all
Depends: perl (>= 5.8.0)
Replaces: logcheck (<= 1.1.1-9)
Description: Print log file lines that have not been read (deprecated)
 This program will read in a standard text file and create an
 offset marker when it reads the end. The offset marker is read
 the next time logtail is run and the text file pointer is moved
 to the offset location. This allows logtail to read in the next
 lines of data following the marker. This is good for marking log
 files for automatic log file checkers to monitor system events.
 .
 The package also provides logtail2, which better deals with rotated log
 files: If logtail2 finds that the inode of the file was changed, it assumes
 that the log has been rotated, and tries to find the file it was rotated to
 using heuristic plugins. If it finds the file, it will print the remainder of
 the file starting at the offset saved to the offset file. If a file with the
 correct inode was not found, logtail2 will only print the new file in its
 entirety before writing a new offset file.

## logcheck 1.2.61ubuntu0.1

=== debian/changelog ===
logcheck (1.2.61ubuntu0.1) gutsy-proposed; urgency=low

  * Picked bugfixes from 1.6.62:
    - make dependency on logtail versioned (>= 1.2.59; closes: #443134).
    - apply patch by Marc Haber to fix logtail2 when there are no archived logs
      found (LP: #149641)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- dAniel hAhler <ubuntu@thequod.de>  Fri, 19 Oct 2007 18:14:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.1.13)
@@ -11,7 +12,7 @@
 
 Package: logcheck
 Architecture: all
-Depends: adduser, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail, lockfile-progs, ${misc:Depends}
+Depends: adduser, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
 Recommends: logcheck-database (>= ${source:Version})
 Suggests: syslog-summary
 Description: mails anomalies in the system logfiles to the administrator

## logcheck 1.2.63

=== Makefile ===
#!/usr/bin/make -f

CONFDIR = etc/logcheck
BINDIR = usr/sbin
SHAREDIR = usr/share/logtail/detectrotate

install:
	# Create the directories
	install -m 750 -d $(DESTDIR)/$(CONFDIR)
	install -d $(DESTDIR)/var/lib/logcheck
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/var/lock/logcheck
	install -d $(DESTDIR)/$(SHAREDIR)

	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d

	# Install the scripts
	install -m 755 src/logcheck $(DESTDIR)/$(BINDIR)/
	install -m 755 src/logtail $(DESTDIR)/$(BINDIR)/
	install -m 755 src/logtail2 $(DESTDIR)/$(BINDIR)/
	install -m 755 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 755 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 755 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/

	# Install the config files
	install -m 640 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
	install -m 640 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)

	# Install the rulefiles
	install -m 640 rulefiles/linux/ignore.d.paranoid/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	install -m 640 rulefiles/linux/ignore.d.server/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.server/
	install -m 640 rulefiles/linux/ignore.d.workstation/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	install -m 640 rulefiles/linux/violations.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.d/
	install -m 640 rulefiles/linux/violations.ignore.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	install -m 640 rulefiles/linux/cracking.d/* \
		$(DESTDIR)/$(CONFDIR)/cracking.d/

clean:
	# Remove the scripts
	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck
	-rm -f  $(DESTDIR)/$(BINDIR)/logtail
	# Remove the configfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.logfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.conf
	# Remove the rulesfiles
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.server/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/cracking.d/
	# Remove the statedir and it's contents
	-rm -rf $(DESTDIR)/var/lib/logcheck 

	# Finally remove the config directory
	-rmdir $(DESTDIR)/$(CONFDIR)

distclean:
	-find . -name "*~" | xargs -r --no-run-if-empty rm -vf

check:
	#cd test; python test.py

system-test:
	cd test; rm -fv state/*; \
		../src/logcheck -c ../etc/logcheck.conf \
				-l ../etc/logcheck.logfiles \
				-r ../rulefiles/linux \
				-S state/ -o

=== debian/changelog ===
logcheck (1.2.63) unstable; urgency=low

  * Conflict with amavisd-new (<< 1:2.5.2-1), since amavisd-new now maintains
    its own filters. Thus, remove them from this package.

 -- martin f. krafft <madduck@debian.org>  Sun, 30 Sep 2007 15:57:43 +0100

logcheck (1.2.62) unstable; urgency=low

  * remove ignore.d.server/thttpd because thttpd package provides a better
    version (closes: #441504).

  * apply patch by Marc Haber to fix logtail2 when there are no archived logs
    found (closes: #441388).

  * apply patch by Rolan Kruggel which allos logcheck to be configured to
    attach log output, rather than inlining it (closes: #402739).

  * make dependency on logtail versioned (>= 1.2.59; closes: #443134).

  * violations.ignore.d/logcheck-postfix:
    - ignore rejections due to improper SMTP command pipelining.
    - fix filter for milter AV system overload.
    - ignoring warning about milter blocking mail to suspicious recipient
      addresses.
    - duplicate some filters from ignore.d.server/postfix for when servers use
      "hacker words" which cause logcheck to escalate to violations.

  * ignore.d.server/postfix:
    - ignore milter-discard messages after END-OF-MESSAGE.
    - ignore smtp client failures due to lost connections with relays.
    - ignore smtp client failures due to lost connections during later
      commands.
    - patch from Justin Pryzby to support postfix check_helo_(mx|ns)_access
      (closes: #443185).
    - ignore Postfix lost connection messages w/o IP address, patch by Russ
      Allbery.

  * ignore.d.server/rsync:
    - patch from Justin Pryzby to update rules for 2.6.9 (closes: #443178).

  * ignore.d.server/dovecot:
    - ignore notice about dovecot fixing index files.

  * ignore.d.server/incron:
    - ignore some startup messages
    - ignore messages about table reloading
    - ignore messages about command execution.

  * ignore.d.server/dhclient:
    - ignore message about option answers being larger than buffers.

  * ignore.d.server/acpid:
    - ignore basic messages from acpid; thanks to Hanspeter Kunz for the patch
      (closes: #443171).

  * ignore.d.server/bind:
    Thanks to Frédéric Brière for the following patches:
    - ignore messages about notify without SOA (closes: #443869)
    - ignore messages about denied queries (closes: #443886).
    - ignore all messages about unexpected RCODEs (closes: #443908).

 -- martin f. krafft <madduck@debian.org>  Mon, 24 Sep 2007 23:47:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.1.13)
@@ -26,6 +25,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: logcheck (<= 1.1.1-9)
+Conflicts: amavisd-new (<< 1:2.5.2-1)
 Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,7 @@
 	rm -f build-stamp install-stamp
 
 	rm -f docs/logcheck.8
-	-$(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp
-
-	debconf-updatepo
+	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp
 
 	dh_clean
 
@@ -60,9 +58,9 @@
 	dh_install debian/header.txt usr/share/logcheck
 	dh_installcron
 	dh_installman -p logtail docs/logtail.8
+	dh_installman -p logtail docs/logtail2.8
 	dh_installman -p logcheck docs/logcheck.8
 	dh_installchangelogs
-	dh_installdebconf
 #	dh_strip
 	dh_compress
 	dh_fixperms --exclude etc/logcheck
@@ -93,14 +91,6 @@
 	@echo
 	@echo 'Execute debian/rules file'
 
-# check the debconf translations
-checkpo:
-	for i in debian/po/*.po; do \
-		echo \"Checking: $$i\"; \
-		msgmerge -U $$i debian/po/templates.pot; \
-		msgfmt -o /dev/null -c --statistics $$i; \
-	done
-
 # Done by the uploader:
 # cvs update..
 # edit debian/changelog
